import { NestFactory } from '@nestjs/core';
import { AppModule } from './app.module';
import {
	FastifyAdapter,
	NestFastifyApplication
} from '@nestjs/platform-fastify';
import fastifyMultipart from '@fastify/multipart';
import { existsSync, mkdirSync } from 'fs';

async function bootstrap() {
	if (!existsSync('files')) mkdirSync('files');

	const app = await NestFactory.create<NestFastifyApplication>(
		AppModule,
		new FastifyAdapter({ logger: true })
	);
	await app.register(fastifyMultipart);
	await app.listen(8080, '0.0.0.0');
}
bootstrap();
