import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { INode, JWTToken, User } from '../entities';
import {
	AuthService,
	AuthLocalService,
	AuthJwtService
} from '../services/auth';
import AuthController from '../controller/auth';
import FileSystemService from '../services/filesystem';

@Module({
	imports: [TypeOrmModule.forFeature([User, INode, JWTToken])],
	providers: [
		AuthService,
		AuthLocalService,
		AuthJwtService,
		FileSystemService
	],
	controllers: [AuthController]
})
export default class AuthModule {}
